Update call tag
curl --request PATCH \
--url https://app.freyavoice.ai/api/v2/call/{callId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag": "<string>",
"source": "user",
"value": 123,
"confidence": 0.5,
"metadata": {},
"delete": true
}
'import requests
url = "https://app.freyavoice.ai/api/v2/call/{callId}/tags"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag": "<string>",
"source": "user",
"value": 123,
"confidence": 0.5,
"metadata": {},
"delete": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tag: '<string>',
source: 'user',
value: 123,
confidence: 0.5,
metadata: {},
delete: true
})
};
fetch('https://app.freyavoice.ai/api/v2/call/{callId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"success": true,
"tag": {
"tag": "<string>",
"source": "<string>",
"value": 123,
"confidence": 0.5,
"metadata": {}
},
"message": "<string>"
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Call Tags
Update call tag
Updates an existing tag or adds a new one. Can also delete a tag if delete=true.
PATCH
/
call
/
{callId}
/
tags
Update call tag
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Call ID
Body
application/json
Workspace ID
Tag name
Minimum string length:
1Tag source (e.g., 'user', 'ai')
Minimum string length:
1Numeric value for the tag
Confidence score (0-1)
Required range:
0 <= x <= 1Additional metadata
Show child attributes
Show child attributes
If true, delete the tag instead of updating